Subject: Re: Realtek RTL8102E registers

From: Ivan Frederiks <[email-masked]>
Date: Wed, 06 Nov 2013 14:13:14 +0400

Hello Francois,

I found solution for the issue that I described earlier: one has to set
correct MAC-address before bringing up the interface.

On my board RTL8102E works without EEPROM, so initial MAC-address value
is unpredictable. In many cases this value has multicast bit set to 1.
This fact breaks driver and (or) TCP stack operation:
* r8169 reports that link is down
* r8101 reports that link is OK, but Linux TCP stack ignores packets
with multicast destination MAC

Hope this info would be useful. BTW, I suppose that driver could have
some kind of protection against such situations.

On 30.10.2013 01:40, Francois Romieu wrote:
> Ivan Frederiks <[email-masked]> :
> [...]
>> Maybe you have access to RTL8102E register description ?
> 
> No.
> 
> Realtek's hardware documentation policy isn't exactly opened. Your hardware
> vendor may help.
> 
> [...]
>> Issue description:
> [snip]
> 
> kernel version and r81xx XID value as it should appear in dmesg would
> be welcome.
> 

--
Best regards,

Ivan Frederiks
Embedded developer
Speech Technology Center

Phone: +7-812-331-0665, ext. 6123, 6942
Fax: +7-812-327-9297